### Enumeration

# Gimp AddMaskType

#### Declaration

    enum Gimp.AddMaskType

#### Description [src]

Modes of initialising a layer mask.

#### Members

`GIMP_ADD_MASK_WHITE`

  White (full opacity).

  - Value: `0`
  - Available since: 3.0
`GIMP_ADD_MASK_BLACK`

  Black (full transparency).

  - Value: `1`
  - Available since: 3.0
`GIMP_ADD_MASK_ALPHA`

  Layer’s alpha channel.

  - Value: `2`
  - Available since: 3.0
`GIMP_ADD_MASK_ALPHA_TRANSFER`

  Transfer layer’s alpha channel.

  - Value: `3`
  - Available since: 3.0
`GIMP_ADD_MASK_SELECTION`

  Selection.

  - Value: `4`
  - Available since: 3.0
`GIMP_ADD_MASK_COPY`

  Grayscale copy of layer.

  - Value: `5`
  - Available since: 3.0
`GIMP_ADD_MASK_CHANNEL`

  Channel.

  - Value: `6`
  - Available since: 3.0